bmptopnm(1)

NAME
bmptopnm - convert a BMP file into a portable anymap

SYNOPSIS
bmptopnm [bmpfile]

DESCRIPTION
Reads a Microsoft Windows or OS/2 BMP file as input. Produces a PBM, PGM, or PNM image as output. If the input is colormapped and contains only black and white, the output is PBM. If the input is colormapped and contains only black white and gray, the output is PGM. Otherwise, the output is PPM. This program cannot convert BMP files with compressed (run length encoded) image data. It recognizes the compression and issues an error message. This program cannot convert BMP files with 16 bits per pixel (only because the author did not have a complete specification for them). It recognizes the format and issues an error message.

SEE ALSO
ppmtobmp(1), ppmtowinicon(1), ppm(5)

AUTHOR
Copyright (C) 1992 by David W. Sanderson.